unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  scapture, StdCtrls, ExtCtrls, Spin, ComCtrls;

type
  TForm1 = class(TForm)
    ScreenCapture1: TScreenCapture;
    ScrollBox1: TScrollBox;
    Image1: TImage;
    Panel1: TPanel;
    BtnStart: TButton;
    Label1: TLabel;
    CbCaptureMode: TComboBox;
    Label2: TLabel;
    EdCaptureWidth: TEdit;
    Label3: TLabel;
    EdCaptureHeight: TEdit;
    PageControl1: TPageControl;
    TabSheet1: TTabSheet;
    TabSheet2: TTabSheet;
    TabSheet3: TTabSheet;
    TabSheet4: TTabSheet;
    Label4: TLabel;
    Label5: TLabel;
    CbZoomFilter: TComboBox;
    Label6: TLabel;
    CbImageShadow: TCheckBox;
    CbCursorShadow: TCheckBox;
    ShShadowColor: TShape;
    Button1: TButton;
    Label7: TLabel;
    EdShadowDirection: TSpinEdit;
    Label8: TLabel;
    EdShadowIntensity: TSpinEdit;
    Label9: TLabel;
    EdShadowOffset: TSpinEdit;
    Label10: TLabel;
    EdShadowDither: TSpinEdit;
    CbZoom: TComboBox;
    Label11: TLabel;
    CbShape: TComboBox;
    Label12: TLabel;
    CbFader: TComboBox;
    CbIncludeCursor: TCheckBox;
    Label13: TLabel;
    CbSparkle: TComboBox;
    procedure BtnStartClick(Sender: TObject);
    procedure ScreenCapture1Capture(Sender: TObject; Bitmap: TBitmap);
    procedure FormCreate(Sender: TObject);
    procedure ScreenCapture1Error(Sender: TObject);
    procedure ScreenCapture1UserCancelled(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure CbZoomExit(Sender: TObject);
    procedure EdCaptureWidthExit(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.BtnStartClick(Sender: TObject);
begin
     with ScreenCapture1 do
     begin
          {Set properties}
          CaptureMode := TTNTCaptureMode(CbCaptureMode.itemindex);
          CaptureWidth  := strtoint(EdCaptureWidth.text);
          CaptureHeight := strtoint(EdCaptureHeight.text);

          Zoom := strtoint(cbzoom.text);
          ZoomFilter := TTNTZoomFilter(CbZoomFilter.itemindex);

          ImageShadow := CbImageShadow.checked;
          CursorShadow := CbCursorShadow.checked;
          ShadowColor :=  ShShadowColor.brush.color;
          ShadowDirection := EdShadowDirection.value;
          ShadowIntensity := EdShadowIntensity.value;
          ShadowOffset := EdShadowOffset.value;
          ShadowDither := EdShadowDither.value;

          Shape := TTNTImageShape(CbShape.itemindex);
          Fader := TTNTImageFader(CbFader.itemindex);

          IncludeCursor := CbIncludeCursor.checked;
          Sparkle := TTNTSparkle(CbSparkle.itemindex);
     end;

     ScreenCapture1.Start;

end;

procedure TForm1.ScreenCapture1Capture(Sender: TObject; Bitmap: TBitmap);
begin
     //Adjust scroll box to fit the captured image:
     Scrollbox1.HorzScrollBar.Range := Image1.width;
     Scrollbox1.VertScrollBar.Range := Image1.height;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
     BtnStart.enabled := ScreenCapture1.dllavailable;
     caption := caption + ' [DLL version ' + ScreenCapture1.version+']';

     with ScreenCapture1 do
     begin
          {Initialize properties}
          CbCaptureMode.itemindex := integer(CaptureMode);
          EdCaptureWidth.text := inttostr(CaptureWidth);
          EdCaptureHeight.text := inttostr(CaptureHeight);

          cbzoom.text := inttostr(Zoom);
          CbZoomFilter.itemindex := integer(ZoomFilter);

          CbImageShadow.checked := ImageShadow;
          CbCursorShadow.checked := CursorShadow;
          ShShadowColor.brush.color := ShadowColor;
          EdShadowDirection.value := ShadowDirection;
          EdShadowIntensity.value := ShadowIntensity;
          EdShadowOffset.value := ShadowOffset;
          EdShadowDither.value := ShadowDither;

          CbShape.itemindex := integer(Shape);
          CbFader.itemindex := integer(Fader);

          CbIncludeCursor.checked := IncludeCursor;
          CbSparkle.itemindex := integer(Sparkle);
     end;
end;

procedure TForm1.ScreenCapture1Error(Sender: TObject);
begin
     MessageDlg('An error occured during screen capture! Please close other programs to make more memory available.',
                mtError, [mbOK], 0);
end;

procedure TForm1.ScreenCapture1UserCancelled(Sender: TObject);
begin
     MessageDlg('User cancelled screen capture.',
                mtInformation, [mbOK], 0);
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
     with TColorDialog.create(self) do
     try
       color := ShShadowColor.brush.color;
       if execute then
       begin
            ShShadowColor.brush.color := color;
       end;
     finally
       free;
     end;
end;

procedure TForm1.CbZoomExit(Sender: TObject);
begin
     try
        CbZoom.text := inttostr( strtoint(cbzoom.text) );
     except
        beep;
        CbZoom.text := '100';
     end;
end;

procedure TForm1.EdCaptureWidthExit(Sender: TObject);
begin
     try
        TEdit(sender).text := inttostr( strtoint(TEdit(sender).text) );
     except
        beep;
        TEdit(sender).text := '200';
     end;
end;

end.
